#ifndef __TRACKWINDOW_H__
#define __TRACKWINDOW_H__

/*
 * $Id: TrackWindow.h,v 1.1 1999/04/17 15:31:31 baron Exp baron $
 *
 * Class to show track information in a window
 *
 *
 *
 *
 *
 */
#include <Window.h>
#include "TrackList.h"

class BListView;
class BScrollView;

class TrackWindow: public BWindow
{
public:

	TrackWindow(TrackList *, BHandler *);
	~TrackWindow();

virtual void MessageReceived(BMessage *);
virtual void Quit(void);
virtual bool QuitRequested(void);

private:
TrackList * data;
BHandler *handler;

BListView *LV;
BScrollView *SV;

int quitOnce;	//kludge

};

#endif